Bug 86315 - vncviewer in net/tightvnc crashes on local machine desktop switch
Summary: vncviewer in net/tightvnc crashes on local machine desktop switch
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-09-19 01:40 UTC by Li-Lun Wang
Modified: 2005-09-20 14:25 UTC (History)
0 users

See Also:


Attachments
file.diff (1.03 KB, patch)
2005-09-19 01:40 UTC, Li-Lun Wang
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Li-Lun Wang 2005-09-19 01:40:13 UTC
Desktop switch on local machine causes the vncviewer in tightvnc to crash with

CleanupXErrorHandler called
ShmCleanup called
X Error of failed request: BadMatch (invalid parameter
attributes)
Major opcode of failed request: 42 (X_SetInputFocus)
Serial number of failed request: 5078
Current serial number in output stream: 5078

Ref: http://sourceforge.net/tracker/index.php?func=detail&aid=1202622&group_id=14067&atid=114067

How-To-Repeat: Use the vncviewer in net/tightvnc to connect to a vncserver. While focusing
on vncviewer, switch to another virtual desktop with keyboard.
Comment 1 Volker Stolz freebsd_committer 2005-09-20 13:14:48 UTC
State Changed
From-To: open->feedback

This looks highly application-specific. Also, the URL does not seem to 
be correct. Can you please submit this to the original developers 
(if you haven't done so yet)? If they acknolwedge this bug, we can either 
update or import it locally until it is fixed upstream.
Comment 2 Li-Lun Wang 2005-09-20 13:59:27 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Tue, Sep 20, 2005 at 12:16:53PM +0000, Volker Stolz wrote:
> This looks highly application-specific. Also, the URL does not seem to
> be correct. Can you please submit this to the original developers
> (if you haven't done so yet)? If they acknolwedge this bug, we can either
> update or import it locally until it is fixed upstream.

Hi,
Just replace the %26s with the ampersands in the URL and it should work.
Or use this shortened URL: http://0rz.net/9b0Iy
I think they have fixed in the trunk, and it will be fixed in the next
release.

- -- Li-Lun Wang
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.6 (FreeBSD)

iD8DBQFDMAeuCQM7t5B2mhARAilrAJ9mRGXLX+oL0mnpMzAwOM7TdZTXwwCfRf8h
AglZWKl+yDZnt5QzxWNCotI=
=hsJQ
-----END PGP SIGNATURE-----
Comment 3 Volker Stolz freebsd_committer 2005-09-20 14:25:26 UTC
State Changed
From-To: feedback->closed

Committed, thanks!